STRUCT HSI_CONTROLLE(9)

NAME
struct_hsi_controller - HSI controller device

SYNOPSIS

struct hsi_controller {
  struct device device;
  struct module * owner;
  unsigned int id;
  unsigned int num_ports;
  struct hsi_port ** port;
};

MEMBERS

device
    Driver model representation of the device

owner
    Pointer to the module owning the controller

id
    HSI controller ID

num_ports
    Number of ports in the HSI controller

port
    Array of HSI ports

COPYRIGHT